> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/flagship-deprecated/api-keys-and-settings/acting-on-your-account-remotely.md).

# Acting on your account remotely

## 📖 Definition

The Remote Control API enables you to create credentials with specific rights to let you carry out actions on your account outside of Flagship. This way, you will be able to control your account without having to log in to Flagship.

To access the Remote Control API page, go to **Settings** > **Integration** > **Remote Control API**. It is divided into 2 main sections:

* [New access configuration](#h_01FY95CPM1GD7AQGDYKJBW8Z8R)
* [Generated accesses](#h_01FY95CXZTWB24GRSAKPQ2PGDZ)

### New access configuration <a href="#h_01fy95cpm1gd7aqgdykjbw8z8r" id="h_01fy95cpm1gd7aqgdykjbw8z8r"></a>

![Remote\_Control\_API.png](/files/7tPcuRSfU5aQmzR7x2Rm)

This section enables you to generate new credentials with specific rights.\
Once your access is generated, you will see a popin displaying a clientId and clientSecret that you **must copy and keep safe**.

| <p>⭐ Good to know</p><p>Each clientId and clientSecret is a unique pair. We recommend keeping these credentials safe as <strong>you won't be able to retrieve them once you close the pop-in.</strong> Make sure you don't communicate them publicly.</p> |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

If you have lost your credentials or have any doubt about their usage, you can still **revoke them** and generate new ones.

### Generated accesses <a href="#h_01fy95cxztwb24grsakpq2pgdz" id="h_01fy95cxztwb24grsakpq2pgdz"></a>

This section provides an overview of all previously generated accesses, with their name, creation date, and authorized actions.

For each generated access, you can:

* Revoke it, meaning that any service using the credentials won’t work anymore (until you update it with new credentials).
* View its details, such as all the authorized rights.

![Capture\_d\_e\_cran\_2022-09-28\_a\_\_16.43.49.png](/files/R9Q8kV7m9NfWGLmT1uEC)

## ⚙️ Configuration

### Generating new credentials

To generate Remote Control API credentials, you must be part of an ***ENTERPRISE*** package and be a **SUPER ADMIN**.\
From the Remote Control API page, apply the following steps:

1. Enter a name for your new access.
2. Select the environment(s) you (Or someone on your team) will be able to act on.
3. Select the actions you want to authorize for these credentials.
4. Click ***Generate.***

A pop-in appears: we recommend saving your clientId and clientSecret in a safe place before closing the popin as **you won’t be able to retrieve them again.**

### Searching for existing credentials

If you have many accesses, you may want to see all of them to view the details or revoke a specific access. To do so:

1. Uncollapse the ***Generated Access*** section.
2. Click *Details* to see the list of authorized rights for an access\
   OR\
   Click *Revoke* to remove an access.

![Capture\_d\_e\_cran\_2022-09-28\_a\_\_16.44.32.png](/files/H6BOC16Z5vOXKsLVownw)

| <p>🚩 Heads up</p><p>If you revoke an access, you won’t be able to retrieve it. You will need to <strong>recreate the access</strong> and will be provided with a new clientId and clientSecret.</p> |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

**Need additional information?**

Submit your request at <product.feedback@abtasty.com>

Always happy to help!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/flagship-deprecated/api-keys-and-settings/acting-on-your-account-remotely.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
